> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancelar un marcador de fraude

> Usa este endpoint para cancelar un marcador de fraude registrado
previamente.


**Notas:**

- La cancelación solo se permite para marcadores en estado REGISTERED.

- Solo el participante que creó el marcador de fraude puede cancelarlo.

- Para los marcadores de fraude creados a partir del cierre de reportes
de infracción, el participante contraparte que cerró la infracción puede
cancelar el marcador.

- Los marcadores cancelados no pueden reactivarse.



## OpenAPI

````yaml es/openapi/v3-current/indirect-pix.yaml POST /v1/dict/fraud-markers/{fraud_marker_id}/cancel
openapi: 3.0.3
info:
  title: Plugin BR Pix Indirect - API completa
  description: |
    API completa para el sistema de pagos instantáneos Pix de Brasil, que
    incluye operaciones del diccionario de claves Pix, generación/decodificación
    de códigos QR, transacciones y límites transaccionales.
  version: 1.0.0
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/dict/fraud-markers/{fraud_marker_id}/cancel:
    post:
      tags:
        - MED API
      summary: Cancelar un marcador de fraude
      description: |-
        Usa este endpoint para cancelar un marcador de fraude registrado
        previamente.


        **Notas:**

        - La cancelación solo se permite para marcadores en estado REGISTERED.

        - Solo el participante que creó el marcador de fraude puede cancelarlo.

        - Para los marcadores de fraude creados a partir del cierre de reportes
        de infracción, el participante contraparte que cerró la infracción puede
        cancelar el marcador.

        - Los marcadores cancelados no pueden reactivarse.
      parameters:
        - $ref: '#/components/parameters/FraudMarkerId'
      responses:
        '200':
          description: Marcador de fraude cancelado correctamente.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FraudMarkerObject'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0001:
                  $ref: '#/components/examples/ErrorPIX0001'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0262:
                  $ref: '#/components/examples/ErrorPIX0262'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0263:
                  $ref: '#/components/examples/ErrorPIX0263'
                ErrorPIX1083:
                  $ref: '#/components/examples/ErrorPIX1083'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0000:
                  $ref: '#/components/examples/ErrorPIX0000'
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX1000:
                  $ref: '#/components/examples/ErrorPIX1000'
                ErrorPIX1007:
                  $ref: '#/components/examples/ErrorPIX1007'
                ErrorPIX1099:
                  $ref: '#/components/examples/ErrorPIX1099'
      deprecated: false
      security:
        - bearerAuth: []
components:
  parameters:
    FraudMarkerId:
      name: fraud_marker_id
      in: path
      description: Identificador único del marcador de fraude (formato UUID).
      required: true
      example: 019c96a0-0cfd-7d0d-8fc5-17a164b828b6
      schema:
        type: string
  schemas:
    FraudMarkerObject:
      type: object
      properties:
        id:
          type: string
          description: Identificador único.
          example: 019c96a0-0cfd-7d0d-8fc5-17a164b828b6
        document:
          type: string
          description: CPF o CNPJ.
          example: '12345678901'
        fraudType:
          type: string
          description: Tipo de fraude.
          enum:
            - APPLICATION_FRAUD
            - MULE_ACCOUNT
            - SCAMMER_ACCOUNT
            - OTHER
          example: MULE_ACCOUNT
        key:
          type: string
          description: Clave Pix asociada.
          example: fraud@example.com
        status:
          type: string
          description: Estado actual.
          enum:
            - REGISTERED
            - CANCELLED
          example: REGISTERED
        createdAt:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00Z'
        updatedAt:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00Z'
    ErrorFormat:
      type: object
      description: El mensaje de error de la respuesta.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: Un identificador único y estable para el error.
        title:
          type: string
          description: Un breve resumen del problema.
        message:
          type: string
          description: Orientación detallada para resolver el error.
  examples:
    ErrorPIX0001:
      summary: Missing Headers in Request
      value:
        code: PIX-0001
        title: Missing Headers in Request
        message: >-
          Your request is missing one or more required header params. Please
          refer to the documentation to ensure all necessary header params are
          included in your request.
    ErrorPIX0262:
      summary: Fraud Marker Not Found
      value:
        code: PIX-0262
        title: Fraud Marker Not Found
        message: The specified fraud marker was not found.
    ErrorPIX0263:
      summary: Cannot Cancel Marker
      value:
        code: PIX-0263
        title: Cannot Cancel Marker
        message: >-
          The fraud marker cannot be cancelled because it is already in
          CANCELLED status.
    ErrorPIX1083:
      summary: Cannot Cancel Marker
      value:
        code: PIX-1083
        title: Cannot Cancel Marker
        message: >-
          The provider reports that the marker cannot be cancelled due to its
          current state.
    ErrorPIX0000:
      summary: Internal Server Error
      value:
        code: PIX-0000
        title: Internal Server Error
        message: The server encountered an unexpected error. Please try again later.
    ErrorPIX1000:
      summary: Provider Connection Error
      value:
        code: PIX-1000
        title: Provider Connection Error
        message: Failed to connect to provider.
    ErrorPIX1007:
      summary: Provider Internal Error
      value:
        code: PIX-1007
        title: Provider Internal Error
        message: Provider returned an internal error.
    ErrorPIX1099:
      summary: Provider Unmapped Error
      value:
        code: PIX-1099
        title: Provider Unmapped Error
        message: Provider returned an unmapped error.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````